Loading...
Searching...
No Matches
cert::ServerSSLCert::ReqInfo Struct Reference

Certificate signing request information. More...

## Public Attributes

CommonAttributes | subject
| Certificate subject attributes.
vector< string > | names
| DNS names and/or IP addresses.
KeyType | keyType
| Key type.
EllipticCurve | ellipticCurve
| Selected elliptic curve (only relevant if key type is ECDSA)
int | rsaKeyLength
| Length of the RSA key in bits (only relevant if key type is RSA)

## Detailed Description

Certificate signing request information.

If names is empty then commonName from the subject is used as single entry.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl